//go:build linux
// +build linux

package transocks

import (
	"net"
	"testing"
)

func TestGetOriginalDST(t *testing.T) {
	t.Skip()

	l, err := net.ListenTCP("tcp", &net.TCPAddr{Port: 1081})
	if err != nil {
		t.Fatal(err)
	}

	defer func() { _ = l.Close() }()

	c, err := l.Accept()
	if err != nil {
		t.Fatal(err)
	}
	defer func() { _ = c.Close() }()

	origAddr, err := GetOriginalDST(c.(*net.TCPConn))
	if err != nil {
		t.Fatal(err)
	}

	t.Log(origAddr.String())
}
